KDE 4.9 PyKDE API Reference

- KDE's Python API

# KSslErrorUiData Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

This class can hold all the necessary data from a KTcpSocket to ask the user to continue connecting in the face of SSL errors. It can be used to carry the data for the UI over time or over thread boundaries.

@see: KSslCertificateManager.askIgnoreSslErrors()

## Methods

| __init__ (self)
| __init__ (self, KTcpSocket socket)
| __init__ (self, KSslErrorUiData other)
| __init__ (self, QSslSocket socket)

## Method Documentation

__init__ | ( |  | self ) |

Default construct an instance with no useful data.

__init__ | ( | self, |
|  | KTcpSocket | socket
| ) |  |  |

Create an instance and initialize it with SSL error data from socket.

__init__ | ( | self, |
|  | KSslErrorUiData | other
| ) |  |  |

__init__ | ( | self, |
|  | QSslSocket | socket
| ) |  |  |

Create an instance and initialize it with SSL error data from socket.